<template>
  <div class="atlas">
    <div class="title">
      <span>农产品种植面积</span>
      <img src="../../../assets/img/zonlan (9).png" alt="" />
    </div>
    <div id="relationship" class="graph">
      <!-- <RelationGraph style="background-color: transparent"
                     ref="seeksRelationGraph"
                     :options="graphOptions"
                     :on-node-click="onNodeClick"
                     :on-line-click="onLineClick" /> -->
    </div>
  </div>
</template>

<script>
import RelationGraph from "relation-graph";
import relevance from "../../../assets/json/relevance.json";
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    // RelationGraph,
  },
  data() {
    //这里存放数据
    return {};
  },
  //方法集合
  methods: {
    initChart() {
      let myChart = this.$echarts.init(document.getElementById("relationship"));
      var value1 = [
        {
          name: "生存认证\n系统",
          x: 100,
          y: 100,
          des: "生存认证系统",
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#8971e1",
              borderColor: "#8971e1",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#8971e1",
            },
          },
        },
        {
          name: "义务教育\n入学服务\n系统",
          des: "义务教育入学服务系统",
          x: 600,
          y: 300,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#228fe2",
              borderColor: "#228fe2",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#228fe2",
            },
          },
        },
        {
          name: "落户信息\n查询系统",
          des: "落户信息查询系统",
          x: 100,
          y: 500,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#73a95e",
              borderColor: "#73a95e",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#73a95e",
            },
          },
        },
        {
          name: "公证信息\n共享查询\n系统",
          des: "公证信息共享查询系统",
          x: 600,
          y: 700,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#f15d5d",
              borderColor: "#f15d5d",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#f15d5d",
            },
          },
        },
        {
          name: "从业人员\n继续教育\n报名系统",
          des: "从业人员继续教育报名系统",
          x: 1100,
          y: 700,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#D3959B",
              borderColor: "#D3959B",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#D3959B",
            },
          },
        },
        {
          name: "建设项目\n电子证照\n辅助审批\n系统",
          des: "建设项目电子证照辅助审批系统",
          symbolSize: 130,
          x: 1100,
          y: 300,
          itemStyle: {
            normal: {
              color: "#FFA500",
              borderColor: "#FFA500",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#FFA500",
            },
          },
        },
        {
          name: "纳税百强\n企业排名\n系统",
          des: "纳税百强企业排名系统",
          symbolSize: 130,
          x: 1600,
          y: 500,
          itemStyle: {
            normal: {
              color: "#C0C0C0",
              borderColor: "#C0C0C0",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#C0C0C0",
            },
          },
        },
        {
          name: "社保中心\n网上服务\n系统",
          des: "社保中心网上服务系统",
          x: 600,
          y: 100,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#FFB6C1",
              borderColor: "#FFB6C1",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#FFB6C1",
            },
          },
        },
        {
          name: "户外广告\n设置申报\n系统",
          des: "户外广告设置申报系统",
          x: 1100,
          y: 100,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#228fe2",
              borderColor: "#228fe2",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#228fe2",
            },
          },
        },
        {
          name: "增（存）量房\n缴税辅助\n办理系统",
          des: "增（存）量房缴税辅助办理系统",
          symbolSize: 130,
          x: 100,
          y: 300,
          itemStyle: {
            normal: {
              color: "#3aa490",
              borderColor: "#3aa490",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#3aa490",
            },
          },
        },
        {
          name: "土地利用\n效率分析\n系统",
          des: "土地利用效率分析系统",
          symbolSize: 130,
          x: 1100,
          y: 500,
          itemStyle: {
            normal: {
              color: "#ddd6f3",
              borderColor: "#ddd6f3",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#ddd6f3",
            },
          },
        },
        {
          name: "行业情况\n问卷调查\n系统",
          des: "行业情况问卷调查系统",
          symbolSize: 130,
          x: 100,
          y: 700,
          itemStyle: {
            normal: {
              color: "#DBD5A4",
              borderColor: "#DBD5A4",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#DBD5A4",
            },
          },
        },
        {
          name: "区域经济\n指标分析\n系统",
          des: "区域经济指标分析系统",
          symbolSize: 130,
          x: 1600,
          y: 100,
          itemStyle: {
            normal: {
              color: "#3a7bd5",
              borderColor: "#3a7bd5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#3a7bd5",
            },
          },
        },
        {
          name: "公共场所\n卫生许可\n证",
          des: "公共场所卫生许可证",
          symbolSize: 130,
          x: 1600,
          y: 300,
          itemStyle: {
            normal: {
              color: "#B993D6",
              borderColor: "#B993D6",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#B993D6",
            },
          },
        },
        {
          name: "道路运输\n经营许可\n证",
          des: "道路运输经营许可证",
          x: 600,
          y: 500,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#BB377D",
              borderColor: "#BB377D",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#BB377D",
            },
          },
        },
        {
          name: "火化信息",
          des: "火化信息",
          symbolSize: 100,
          x: 300,
          y: 30,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "注销户口\n信息",
          des: "注销户口信息",
          symbolSize: 100,
          x: 300,
          y: 100,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "死因监测\n信息",
          des: "死因监测信息",
          x: 300,
          y: 170,
          symbolSize: 100,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "判刑人员\n信息",
          des: "判刑人员信息",
          x: 300,
          y: 240,
          symbolSize: 100,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "保险待遇\n发放信息",
          des: "保险待遇发放信息",
          symbolSize: 100,
          x: 300,
          y: 310,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "户籍信息",
          des: "户籍信息",
          symbolSize: 100,
          x: 300,
          y: 380,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "居住证\n信息",
          des: "居住证信息",
          symbolSize: 100,
          x: 300,
          y: 450,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "不动产\n登记信息",
          des: "不动产登记信息",
          symbolSize: 100,
          x: 300,
          y: 520,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "房屋合同\n备案信息",
          des: "房屋合同备案信息",
          symbolSize: 100,
          x: 300,
          y: 590,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "社保信息",
          des: "社保信息",
          symbolSize: 100,
          x: 300,
          y: 660,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "工商营业\n执照信息",
          des: "工商营业执照信息",
          x: 300,
          y: 730,
          symbolSize: 100,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "企业注册\n信息",
          des: "企业注册\n信息",
          symbolSize: 100,
          x: 800,
          y: 30,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "出生医学\n证明信息",
          des: "出生医学\n证明信息",
          x: 800,
          y: 100,
          symbolSize: 100,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "接种信息",
          des: "接种信息",
          symbolSize: 100,
          x: 800,
          y: 170,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "婚姻信息",
          des: "婚姻信息",
          symbolSize: 100,
          x: 800,
          y: 240,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "车辆信息",
          des: "车辆信息",
          symbolSize: 100,
          x: 800,
          y: 310,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "股权信息",
          des: "股权信息",
          symbolSize: 100,
          x: 800,
          y: 380,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "身份证\n信息",
          des: "身份证信息",
          symbolSize: 100,
          x: 800,
          y: 450,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "驾驶证\n信息",
          des: "驾驶证信息",
          symbolSize: 100,
          x: 800,
          y: 520,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "资格上岗\n证信息",
          des: "资格上岗证信息",
          symbolSize: 100,
          x: 800,
          y: 590,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "环评批复\n信息",
          des: "环评批复信息",
          symbolSize: 100,
          x: 800,
          y: 660,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "建设用地\n规划许可\n证",
          des: "建设用地规划许可证",
          symbolSize: 100,
          x: 800,
          y: 730,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "建设工程\n规划许可\n证",
          des: "建设工程规划许可证",
          symbolSize: 100,
          x: 1300,
          y: 30,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "施工许可\n证",
          des: "施工许可证",
          symbolSize: 100,
          x: 1300,
          y: 100,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "竣工验收\n备案信息",
          des: "竣工验收备案信息",
          symbolSize: 100,
          x: 1300,
          y: 170,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "立项许可\n信息",
          des: "立项许可信息",
          symbolSize: 100,
          x: 1300,
          y: 240,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "企业纳税\n信息",
          des: "企业纳税信息",
          symbolSize: 100,
          x: 1300,
          y: 310,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "企业信息",
          des: "企业信息",
          symbolSize: 100,
          x: 1300,
          y: 380,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
        {
          name: "经济指标\n信息",
          des: "经济指标信息",
          symbolSize: 100,
          x: 1300,
          y: 450,
          itemStyle: {
            normal: {
              color: "#7F7FD5",
              borderColor: "#7F7FD5",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#7F7FD5",
            },
          },
        },
      ];
      // 绘制图表
      myChart.setOption({
        tooltip: {
          formatter: function (x) {
            return x.data.name;
          },
        },
        series: [
          {
            type: "graph",
            // layout: "none",
            layout: "force",
            top: "20%",
            symbolSize: 500,
            roam: true,
            focusNodeAdjacency: false,
            edgeSymbol: ["arrow"],
            edgeSymbolSize: [10],

            force: {
              repulsion: 950,
              edgeLength: 180,
              layoutAnimation: true,
            },
            draggable: true,
            itemStyle: {
              normal: {
                color: "#4b565b",
              },
            },
            lineStyle: {
              normal: {
                width: 5,
                color: "#4b565b",
              },
            },
            edgeLabel: {
              normal: {
                show: true,
                textStyle: {
                  fontSize: 50,
                },
                formatter: function (x) {
                  return x.data.name;
                },
              },
            },
            label: {
              normal: {
                show: true,
                textStyle: {
                  fontSize: 28,
                },
              },
            },
            data: value1,
            links: [
              {
                source: "生存认证\n系统",
                target: "火化信息",
                name: "",
                des: "",
              },
              {
                source: "生存认证\n系统",
                target: "注销户口\n信息",
                name: "",
                des: "",
              },
              {
                source: "生存认证\n系统",
                target: "死因监测\n信息",
                name: "",
              },
              {
                source: "生存认证\n系统",
                target: "判刑人员\n信息",
                name: "",
              },
              {
                source: "生存认证\n系统",
                target: "保险待遇\n发放信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "户籍信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "居住证\n信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "不动产\n登记信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "房屋合同\n备案信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "社保信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "工商营业\n执照信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "企业注册\n信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "出生医学\n证明信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "接种信息",
                name: "",
              },
              {
                source: "义务教育\n入学服务\n系统",
                target: "婚姻信息",
                name: "",
              },
              {
                source: "落户信息\n查询系统",
                target: "社保信息",
                name: "",
              },
              {
                source: "落户信息\n查询系统",
                target: "不动产\n登记信息",
                name: "",
              },
              {
                source: "落户信息\n查询系统",
                target: "房屋合同\n备案信息",
                name: "",
              },
              {
                source: "落户信息\n查询系统",
                target: "火化信息",
                name: "",
              },
              {
                source: "落户信息\n查询系统",
                target: "婚姻信息",
                name: "",
              },
              {
                source: "公证信息\n共享查询\n系统",
                target: "户籍信息",
                name: "",
              },
              {
                source: "公证信息\n共享查询\n系统",
                target: "车辆信息",
                name: "",
              },
              {
                source: "公证信息\n共享查询\n系统",
                target: "不动产\n登记信息",
                name: "",
              },
              {
                source: "公证信息\n共享查询\n系统",
                target: "房屋合同\n备案信息",
                name: "",
              },
              {
                source: "公证信息\n共享查询\n系统",
                target: "股权信息",
                name: "",
              },
              {
                source: "从业人员\n继续教育\n报名系统",
                target: "身份证\n信息",
                name: "",
              },
              {
                source: "从业人员\n继续教育\n报名系统",
                target: "驾驶证\n信息",
                name: "",
              },
              {
                source: "从业人员\n继续教育\n报名系统",
                target: "资格上岗\n证信息",
                name: "",
              },
              {
                source: "建设项目\n电子证照\n辅助审批\n系统",
                target: "环评批复\n信息",
                name: "",
              },
              {
                source: "建设项目\n电子证照\n辅助审批\n系统",
                target: "建设用地\n规划许可\n证",
                name: "",
              },
              {
                source: "建设项目\n电子证照\n辅助审批\n系统",
                target: "建设工程\n规划许可\n证",
                name: "",
              },
              {
                source: "建设项目\n电子证照\n辅助审批\n系统",
                target: "施工许可\n证",
                name: "",
              },
              {
                source: "建设项目\n电子证照\n辅助审批\n系统",
                target: "竣工验收\n备案信息",
                name: "",
              },
              {
                source: "建设项目\n电子证照\n辅助审批\n系统",
                target: "立项许可\n信息",
                name: "",
              },
              {
                source: "纳税百强\n企业排名\n系统",
                target: "企业纳税\n信息",
                name: "",
              },
              {
                source: "社保中心\n网上服务\n系统",
                target: "户籍信息",
                name: "",
              },
              {
                source: "社保中心\n网上服务\n系统",
                target: "身份证\n信息",
                name: "",
              },
              {
                source: "社保中心\n网上服务\n系统",
                target: "火化信息",
                name: "",
              },
              {
                source: "增（存）量房\n缴税辅助\n办理系统",
                target: "不动产\n登记信息",
                name: "",
              },
              {
                source: "增（存）量房\n缴税辅助\n办理系统",
                target: "房屋合同\n备案信息",
                name: "",
              },
              {
                source: "土地利用\n效率分析\n系统",
                target: "企业纳税\n信息",
                name: "",
              },
              {
                source: "土地利用\n效率分析\n系统",
                target: "企业信息",
                name: "",
              },
              {
                source: "区域经济\n指标分析\n系统",
                target: "经济指标\n信息",
                name: "",
              },
              {
                source: "道路运输\n经营许可\n证",
                target: "身份证\n信息",
                name: "",
              },
              {
                source: "道路运输\n经营许可\n证",
                target: "车辆信息",
                name: "",
              },
              {
                source: "道路运输\n经营许可\n证",
                target: "驾驶证\n信息",
                name: "",
              },
              {
                source: "道路运输\n经营许可\n证",
                target: "工商营业\n执照信息",
                name: "",
              },
            ],
          },
        ],
      });
    },
    async showSeeksGraph() {
      const { data: dt } = await this.$http.get(
        "/jeecg-boot/relationship/relationship/queryall"
      );
      console.log("获取数据", dt);
      var valueData = dt.result[0];
      var categories = JSON.parse(valueData.categories);
      var data = JSON.parse(valueData.data);
      var links = JSON.parse(valueData.links);
      var std1 = [];
      var std2 = [];
      var std3 = [];
      var std4 = [];
      var std_link = [];
      var std_name = [];
      for (var i in categories) {
        std_name.push({
          name: categories[i].name,
          des: categories[i].name,
          symbolSize: 130,
          itemStyle: {
            normal: {
              color: "#FFA500",
              borderColor: "#FFA500",
              borderWidth: 4,
              shadowBlur: 10,
              shadowColor: "#FFA500",
            },
          },
        });
      }
      for (var k in data) {
        for (var j in links) {
          if (parseFloat(data[k].uid) == parseFloat(links[j].target)) {
            var flag = data[k].category;
            var name1 = std_name[flag].name;
            var name2 = data[k].name;
            std_name.push({
              name: name2,
              des: name2,
              symbolSize: 100,
              itemStyle: {
                normal: {
                  color: "#7F7FD5",
                  borderColor: "#7F7FD5",
                  borderWidth: 4,
                  shadowBlur: 10,
                  shadowColor: "#7F7FD5",
                },
              },
            });
            std_link.push({
              source: name1,
              target: name2,
              name: "",
            });
          }
        }
      }
      for (var i in std_name) {
        if (std1.indexOf(std_name[i].name) == -1) {
          std2.push(std_name[i]);
          std1.push(std_name[i].name);
        }
      }
      for (var i in std_link) {
        if (std3.indexOf(std_link[i].target) == -1) {
          std4.push(std_link[i]);
          std3.push(std_link[i].target);
        }
      }
      //   this.initChart();
      let myChart = this.$echarts.init(document.getElementById("relationship"));

      // 绘制图表
      myChart.setOption({
        tooltip: {
          formatter: function (x) {
            return x.data.name;
          },
        },
        series: [
          {
            type: "graph",
            // layout: "none",
            layout: "force",
            top: "20%",
            symbolSize: 500,
            roam: true,
            focusNodeAdjacency: false,
            edgeSymbol: ["arrow"],
            edgeSymbolSize: [10],

            force: {
              repulsion: 950,
              edgeLength: 180,
              layoutAnimation: true,
            },
            draggable: true,
            itemStyle: {
              normal: {
                color: "#4b565b",
              },
            },
            lineStyle: {
              normal: {
                width: 5,
                color: "#4b565b",
              },
            },
            edgeLabel: {
              normal: {
                show: true,
                textStyle: {
                  fontSize: 50,
                },
                formatter: function (x) {
                  return x.data.name;
                },
              },
            },
            label: {
              normal: {
                show: true,
                textStyle: {
                  fontSize: 28,
                },
              },
            },
            data: std2,
            links: std4,
          },
        ],
      });

      // console.log("获取数据", std_name, std_link);
      // this.initChart(std_name, std_link);
      // var __graph_json_data = {
      //   rootId: "a",
      //   nodes: [
      //     { id: "a", text: "A", borderColor: "yellow" },
      //     { id: "b", text: "B", color: "#43a2f1", fontColor: "yellow" },
      //     { id: "c", text: "C", nodeShape: 0, width: 80, height: 80 },
      //     { id: "e", text: "E", nodeShape: 0, width: 150, height: 150 },
      //   ],
      //   links: [
      //     { from: "a", to: "b", text: "关系1", color: "#43a2f1" },
      //     { from: "a", to: "c", text: "关系2" },
      //     { from: "a", to: "e", text: "关系3" },
      //     { from: "b", to: "e", color: "#67C23A" },
      //   ],
      // };
      // 以上数据中的node和link可以参考"Node节点"和"Link关系"中的参数进行配置
      // this.$refs.seeksRelationGraph.setJsonData(
      //   __graph_json_data,
      //   (seeksRGGraph) => {
      //     // Called when the relation-graph is completed
      //   }
      // );
    },
    showecharts() {
      let myChart = this.$echarts.init(document.getElementById("relationship"));
      myChart.setOption({
        title: {
          text: "公里总里程",
          x: "left",
          textStyle: {
            color: "#FFFFFF",
            fontSize: 25,
          },
        },
        tooltip: {
          trigger: "item",
          formatter: "{a} <br/>{b} : {c} KM",
        },
        legend: {
          orient: "vertical",
          x: "left",
          top: 40,
          itemWidth: 70,
          itemHeight: 30,
          formatter: "{name}",
          textStyle: {
            color: "#FFFFFF",
          },
          data: [
            { name: "黄瓜", icon: "rect" },
            { name: "番茄", icon: "rect" },
            { name: "茄子", icon: "rect" },
            { name: "甜瓜", icon: "rect" },
            { name: "甜椒", icon: "rect" },
          ],
        },
        calculable: true,
        series: [
          {
            name: "农产品",
            type: "pie",
            radius: "70%", //饼图的半径大小
            center: ["60%", "60%"], //饼图的位置
            label: {
              //饼图图形上的文本标签
              normal: {
                show: true,
                position: "inner", //标签的位置
                textStyle: {
                  fontWeight: 300,
                  fontSize: 16, //文字的字体大小
                },
                formatter: "{d}%",
              },
            },
            data: [
              {
                value: 50,
                name: "黄瓜",
                itemStyle: { normal: { color: "#FE0000" } },
              },
              {
                value: 150,
                name: "茄子",
                itemStyle: { normal: { color: "#F29700" } },
              },
              {
                value: 150,
                name: "甜椒",
                itemStyle: { normal: { color: "#02B0ED" } },
              },
              {
                value: 100,
                name: "番茄",
                itemStyle: { normal: { color: "#55E87D" } },
              },
              {
                value: 50,
                name: "甜瓜",
                itemStyle: { normal: { color: "#FFE200" } },
              },
            ],
          },
        ],
      });
    },
    onNodeClick(nodeObject, $event) {
      console.log("onNodeClick:", nodeObject);
    },
    onLineClick(lineObject, $event) {
      console.log("onLineClick:", lineObject);
    },
  },
  mounted() {
    // this.showSeeksGraph();
    this.showecharts();
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.atlas {
  overflow: hidden;
  height: 48%;
  background: rgba(8, 32, 58, 0.7);
  margin-top: 1%;
  //   padding-top: 40px;
  box-sizing: border-box;
  .title {
    width: 100%;
    position: relative;
    img {
      width: 100%;
    }
    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }
  .graph {
    width: 100%;
    height: 85%;
  }
}
/deep/ .rel-map {
  background-color: transparent !important;
}
@media only screen and (max-width: 2560px) {
  .atlas {
    background: transparent;
    margin: 0;
    height: 2400px;
    overflow: visible;
  }
}
</style>
